Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network58.34.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
58.34.0.0
Broadcast address
58.34.63.255
First usable
58.34.0.1
Last usable
58.34.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 3A220000 · Integer 975306752 to 975323135
Reverse DNS zones
0.34.58.in-addr.arpa
1.34.58.in-addr.arpa
2.34.58.in-addr.arpa
3.34.58.in-addr.arpa
4.34.58.in-addr.arpa
5.34.58.in-addr.arpa
6.34.58.in-addr.arpa
7.34.58.in-addr.arpa
8.34.58.in-addr.arpa
9.34.58.in-addr.arpa
10.34.58.in-addr.arpa
11.34.58.in-addr.arpa
12.34.58.in-addr.arpa
13.34.58.in-addr.arpa
14.34.58.in-addr.arpa
15.34.58.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00111010.00100010.00000000.0000000058.34.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00111010.00100010.00000000.0000000058.34.0.0
Broadcast00111010.00100010.00111111.1111111158.34.63.255
Split into smaller subnets/27

58.34.0.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
158.34.0.0/2758.34.0.1 to 58.34.0.3058.34.0.3130
258.34.0.32/2758.34.0.33 to 58.34.0.6258.34.0.6330
358.34.0.64/2758.34.0.65 to 58.34.0.9458.34.0.9530
458.34.0.96/2758.34.0.97 to 58.34.0.12658.34.0.12730
558.34.0.128/2758.34.0.129 to 58.34.0.15858.34.0.15930
658.34.0.160/2758.34.0.161 to 58.34.0.19058.34.0.19130
758.34.0.192/2758.34.0.193 to 58.34.0.22258.34.0.22330
858.34.0.224/2758.34.0.225 to 58.34.0.25458.34.0.25530
958.34.1.0/2758.34.1.1 to 58.34.1.3058.34.1.3130
1058.34.1.32/2758.34.1.33 to 58.34.1.6258.34.1.6330
1158.34.1.64/2758.34.1.65 to 58.34.1.9458.34.1.9530
1258.34.1.96/2758.34.1.97 to 58.34.1.12658.34.1.12730
1358.34.1.128/2758.34.1.129 to 58.34.1.15858.34.1.15930
1458.34.1.160/2758.34.1.161 to 58.34.1.19058.34.1.19130
1558.34.1.192/2758.34.1.193 to 58.34.1.22258.34.1.22330
1658.34.1.224/2758.34.1.225 to 58.34.1.25458.34.1.25530
1758.34.2.0/2758.34.2.1 to 58.34.2.3058.34.2.3130
1858.34.2.32/2758.34.2.33 to 58.34.2.6258.34.2.6330
1958.34.2.64/2758.34.2.65 to 58.34.2.9458.34.2.9530
2058.34.2.96/2758.34.2.97 to 58.34.2.12658.34.2.12730
2158.34.2.128/2758.34.2.129 to 58.34.2.15858.34.2.15930
2258.34.2.160/2758.34.2.161 to 58.34.2.19058.34.2.19130
2358.34.2.192/2758.34.2.193 to 58.34.2.22258.34.2.22330
2458.34.2.224/2758.34.2.225 to 58.34.2.25458.34.2.25530
2558.34.3.0/2758.34.3.1 to 58.34.3.3058.34.3.3130
2658.34.3.32/2758.34.3.33 to 58.34.3.6258.34.3.6330
2758.34.3.64/2758.34.3.65 to 58.34.3.9458.34.3.9530
2858.34.3.96/2758.34.3.97 to 58.34.3.12658.34.3.12730
2958.34.3.128/2758.34.3.129 to 58.34.3.15858.34.3.15930
3058.34.3.160/2758.34.3.161 to 58.34.3.19058.34.3.19130
3158.34.3.192/2758.34.3.193 to 58.34.3.22258.34.3.22330
3258.34.3.224/2758.34.3.225 to 58.34.3.25458.34.3.25530
3358.34.4.0/2758.34.4.1 to 58.34.4.3058.34.4.3130
3458.34.4.32/2758.34.4.33 to 58.34.4.6258.34.4.6330
3558.34.4.64/2758.34.4.65 to 58.34.4.9458.34.4.9530
3658.34.4.96/2758.34.4.97 to 58.34.4.12658.34.4.12730
3758.34.4.128/2758.34.4.129 to 58.34.4.15858.34.4.15930
3858.34.4.160/2758.34.4.161 to 58.34.4.19058.34.4.19130
3958.34.4.192/2758.34.4.193 to 58.34.4.22258.34.4.22330
4058.34.4.224/2758.34.4.225 to 58.34.4.25458.34.4.25530
4158.34.5.0/2758.34.5.1 to 58.34.5.3058.34.5.3130
4258.34.5.32/2758.34.5.33 to 58.34.5.6258.34.5.6330
4358.34.5.64/2758.34.5.65 to 58.34.5.9458.34.5.9530
4458.34.5.96/2758.34.5.97 to 58.34.5.12658.34.5.12730
4558.34.5.128/2758.34.5.129 to 58.34.5.15858.34.5.15930
4658.34.5.160/2758.34.5.161 to 58.34.5.19058.34.5.19130
4758.34.5.192/2758.34.5.193 to 58.34.5.22258.34.5.22330
4858.34.5.224/2758.34.5.225 to 58.34.5.25458.34.5.25530
4958.34.6.0/2758.34.6.1 to 58.34.6.3058.34.6.3130
5058.34.6.32/2758.34.6.33 to 58.34.6.6258.34.6.6330
5158.34.6.64/2758.34.6.65 to 58.34.6.9458.34.6.9530
5258.34.6.96/2758.34.6.97 to 58.34.6.12658.34.6.12730
5358.34.6.128/2758.34.6.129 to 58.34.6.15858.34.6.15930
5458.34.6.160/2758.34.6.161 to 58.34.6.19058.34.6.19130
5558.34.6.192/2758.34.6.193 to 58.34.6.22258.34.6.22330
5658.34.6.224/2758.34.6.225 to 58.34.6.25458.34.6.25530
5758.34.7.0/2758.34.7.1 to 58.34.7.3058.34.7.3130
5858.34.7.32/2758.34.7.33 to 58.34.7.6258.34.7.6330
5958.34.7.64/2758.34.7.65 to 58.34.7.9458.34.7.9530
6058.34.7.96/2758.34.7.97 to 58.34.7.12658.34.7.12730
6158.34.7.128/2758.34.7.129 to 58.34.7.15858.34.7.15930
6258.34.7.160/2758.34.7.161 to 58.34.7.19058.34.7.19130
6358.34.7.192/2758.34.7.193 to 58.34.7.22258.34.7.22330
6458.34.7.224/2758.34.7.225 to 58.34.7.25458.34.7.25530
6558.34.8.0/2758.34.8.1 to 58.34.8.3058.34.8.3130
6658.34.8.32/2758.34.8.33 to 58.34.8.6258.34.8.6330
6758.34.8.64/2758.34.8.65 to 58.34.8.9458.34.8.9530
6858.34.8.96/2758.34.8.97 to 58.34.8.12658.34.8.12730
6958.34.8.128/2758.34.8.129 to 58.34.8.15858.34.8.15930
7058.34.8.160/2758.34.8.161 to 58.34.8.19058.34.8.19130
7158.34.8.192/2758.34.8.193 to 58.34.8.22258.34.8.22330
7258.34.8.224/2758.34.8.225 to 58.34.8.25458.34.8.25530
7358.34.9.0/2758.34.9.1 to 58.34.9.3058.34.9.3130
7458.34.9.32/2758.34.9.33 to 58.34.9.6258.34.9.6330
7558.34.9.64/2758.34.9.65 to 58.34.9.9458.34.9.9530
7658.34.9.96/2758.34.9.97 to 58.34.9.12658.34.9.12730
7758.34.9.128/2758.34.9.129 to 58.34.9.15858.34.9.15930
7858.34.9.160/2758.34.9.161 to 58.34.9.19058.34.9.19130
7958.34.9.192/2758.34.9.193 to 58.34.9.22258.34.9.22330
8058.34.9.224/2758.34.9.225 to 58.34.9.25458.34.9.25530
8158.34.10.0/2758.34.10.1 to 58.34.10.3058.34.10.3130
8258.34.10.32/2758.34.10.33 to 58.34.10.6258.34.10.6330
8358.34.10.64/2758.34.10.65 to 58.34.10.9458.34.10.9530
8458.34.10.96/2758.34.10.97 to 58.34.10.12658.34.10.12730
8558.34.10.128/2758.34.10.129 to 58.34.10.15858.34.10.15930
8658.34.10.160/2758.34.10.161 to 58.34.10.19058.34.10.19130
8758.34.10.192/2758.34.10.193 to 58.34.10.22258.34.10.22330
8858.34.10.224/2758.34.10.225 to 58.34.10.25458.34.10.25530
8958.34.11.0/2758.34.11.1 to 58.34.11.3058.34.11.3130
9058.34.11.32/2758.34.11.33 to 58.34.11.6258.34.11.6330
9158.34.11.64/2758.34.11.65 to 58.34.11.9458.34.11.9530
9258.34.11.96/2758.34.11.97 to 58.34.11.12658.34.11.12730
9358.34.11.128/2758.34.11.129 to 58.34.11.15858.34.11.15930
9458.34.11.160/2758.34.11.161 to 58.34.11.19058.34.11.19130
9558.34.11.192/2758.34.11.193 to 58.34.11.22258.34.11.22330
9658.34.11.224/2758.34.11.225 to 58.34.11.25458.34.11.25530
9758.34.12.0/2758.34.12.1 to 58.34.12.3058.34.12.3130
9858.34.12.32/2758.34.12.33 to 58.34.12.6258.34.12.6330
9958.34.12.64/2758.34.12.65 to 58.34.12.9458.34.12.9530
10058.34.12.96/2758.34.12.97 to 58.34.12.12658.34.12.12730
10158.34.12.128/2758.34.12.129 to 58.34.12.15858.34.12.15930
10258.34.12.160/2758.34.12.161 to 58.34.12.19058.34.12.19130
10358.34.12.192/2758.34.12.193 to 58.34.12.22258.34.12.22330
10458.34.12.224/2758.34.12.225 to 58.34.12.25458.34.12.25530
10558.34.13.0/2758.34.13.1 to 58.34.13.3058.34.13.3130
10658.34.13.32/2758.34.13.33 to 58.34.13.6258.34.13.6330
10758.34.13.64/2758.34.13.65 to 58.34.13.9458.34.13.9530
10858.34.13.96/2758.34.13.97 to 58.34.13.12658.34.13.12730
10958.34.13.128/2758.34.13.129 to 58.34.13.15858.34.13.15930
11058.34.13.160/2758.34.13.161 to 58.34.13.19058.34.13.19130
11158.34.13.192/2758.34.13.193 to 58.34.13.22258.34.13.22330
11258.34.13.224/2758.34.13.225 to 58.34.13.25458.34.13.25530
11358.34.14.0/2758.34.14.1 to 58.34.14.3058.34.14.3130
11458.34.14.32/2758.34.14.33 to 58.34.14.6258.34.14.6330
11558.34.14.64/2758.34.14.65 to 58.34.14.9458.34.14.9530
11658.34.14.96/2758.34.14.97 to 58.34.14.12658.34.14.12730
11758.34.14.128/2758.34.14.129 to 58.34.14.15858.34.14.15930
11858.34.14.160/2758.34.14.161 to 58.34.14.19058.34.14.19130
11958.34.14.192/2758.34.14.193 to 58.34.14.22258.34.14.22330
12058.34.14.224/2758.34.14.225 to 58.34.14.25458.34.14.25530
12158.34.15.0/2758.34.15.1 to 58.34.15.3058.34.15.3130
12258.34.15.32/2758.34.15.33 to 58.34.15.6258.34.15.6330
12358.34.15.64/2758.34.15.65 to 58.34.15.9458.34.15.9530
12458.34.15.96/2758.34.15.97 to 58.34.15.12658.34.15.12730
12558.34.15.128/2758.34.15.129 to 58.34.15.15858.34.15.15930
12658.34.15.160/2758.34.15.161 to 58.34.15.19058.34.15.19130
12758.34.15.192/2758.34.15.193 to 58.34.15.22258.34.15.22330
12858.34.15.224/2758.34.15.225 to 58.34.15.25458.34.15.25530
12958.34.16.0/2758.34.16.1 to 58.34.16.3058.34.16.3130
13058.34.16.32/2758.34.16.33 to 58.34.16.6258.34.16.6330
13158.34.16.64/2758.34.16.65 to 58.34.16.9458.34.16.9530
13258.34.16.96/2758.34.16.97 to 58.34.16.12658.34.16.12730
13358.34.16.128/2758.34.16.129 to 58.34.16.15858.34.16.15930
13458.34.16.160/2758.34.16.161 to 58.34.16.19058.34.16.19130
13558.34.16.192/2758.34.16.193 to 58.34.16.22258.34.16.22330
13658.34.16.224/2758.34.16.225 to 58.34.16.25458.34.16.25530
13758.34.17.0/2758.34.17.1 to 58.34.17.3058.34.17.3130
13858.34.17.32/2758.34.17.33 to 58.34.17.6258.34.17.6330
13958.34.17.64/2758.34.17.65 to 58.34.17.9458.34.17.9530
14058.34.17.96/2758.34.17.97 to 58.34.17.12658.34.17.12730
14158.34.17.128/2758.34.17.129 to 58.34.17.15858.34.17.15930
14258.34.17.160/2758.34.17.161 to 58.34.17.19058.34.17.19130
14358.34.17.192/2758.34.17.193 to 58.34.17.22258.34.17.22330
14458.34.17.224/2758.34.17.225 to 58.34.17.25458.34.17.25530
14558.34.18.0/2758.34.18.1 to 58.34.18.3058.34.18.3130
14658.34.18.32/2758.34.18.33 to 58.34.18.6258.34.18.6330
14758.34.18.64/2758.34.18.65 to 58.34.18.9458.34.18.9530
14858.34.18.96/2758.34.18.97 to 58.34.18.12658.34.18.12730
14958.34.18.128/2758.34.18.129 to 58.34.18.15858.34.18.15930
15058.34.18.160/2758.34.18.161 to 58.34.18.19058.34.18.19130
15158.34.18.192/2758.34.18.193 to 58.34.18.22258.34.18.22330
15258.34.18.224/2758.34.18.225 to 58.34.18.25458.34.18.25530
15358.34.19.0/2758.34.19.1 to 58.34.19.3058.34.19.3130
15458.34.19.32/2758.34.19.33 to 58.34.19.6258.34.19.6330
15558.34.19.64/2758.34.19.65 to 58.34.19.9458.34.19.9530
15658.34.19.96/2758.34.19.97 to 58.34.19.12658.34.19.12730
15758.34.19.128/2758.34.19.129 to 58.34.19.15858.34.19.15930
15858.34.19.160/2758.34.19.161 to 58.34.19.19058.34.19.19130
15958.34.19.192/2758.34.19.193 to 58.34.19.22258.34.19.22330
16058.34.19.224/2758.34.19.225 to 58.34.19.25458.34.19.25530
16158.34.20.0/2758.34.20.1 to 58.34.20.3058.34.20.3130
16258.34.20.32/2758.34.20.33 to 58.34.20.6258.34.20.6330
16358.34.20.64/2758.34.20.65 to 58.34.20.9458.34.20.9530
16458.34.20.96/2758.34.20.97 to 58.34.20.12658.34.20.12730
16558.34.20.128/2758.34.20.129 to 58.34.20.15858.34.20.15930
16658.34.20.160/2758.34.20.161 to 58.34.20.19058.34.20.19130
16758.34.20.192/2758.34.20.193 to 58.34.20.22258.34.20.22330
16858.34.20.224/2758.34.20.225 to 58.34.20.25458.34.20.25530
16958.34.21.0/2758.34.21.1 to 58.34.21.3058.34.21.3130
17058.34.21.32/2758.34.21.33 to 58.34.21.6258.34.21.6330
17158.34.21.64/2758.34.21.65 to 58.34.21.9458.34.21.9530
17258.34.21.96/2758.34.21.97 to 58.34.21.12658.34.21.12730
17358.34.21.128/2758.34.21.129 to 58.34.21.15858.34.21.15930
17458.34.21.160/2758.34.21.161 to 58.34.21.19058.34.21.19130
17558.34.21.192/2758.34.21.193 to 58.34.21.22258.34.21.22330
17658.34.21.224/2758.34.21.225 to 58.34.21.25458.34.21.25530
17758.34.22.0/2758.34.22.1 to 58.34.22.3058.34.22.3130
17858.34.22.32/2758.34.22.33 to 58.34.22.6258.34.22.6330
17958.34.22.64/2758.34.22.65 to 58.34.22.9458.34.22.9530
18058.34.22.96/2758.34.22.97 to 58.34.22.12658.34.22.12730
18158.34.22.128/2758.34.22.129 to 58.34.22.15858.34.22.15930
18258.34.22.160/2758.34.22.161 to 58.34.22.19058.34.22.19130
18358.34.22.192/2758.34.22.193 to 58.34.22.22258.34.22.22330
18458.34.22.224/2758.34.22.225 to 58.34.22.25458.34.22.25530
18558.34.23.0/2758.34.23.1 to 58.34.23.3058.34.23.3130
18658.34.23.32/2758.34.23.33 to 58.34.23.6258.34.23.6330
18758.34.23.64/2758.34.23.65 to 58.34.23.9458.34.23.9530
18858.34.23.96/2758.34.23.97 to 58.34.23.12658.34.23.12730
18958.34.23.128/2758.34.23.129 to 58.34.23.15858.34.23.15930
19058.34.23.160/2758.34.23.161 to 58.34.23.19058.34.23.19130
19158.34.23.192/2758.34.23.193 to 58.34.23.22258.34.23.22330
19258.34.23.224/2758.34.23.225 to 58.34.23.25458.34.23.25530
19358.34.24.0/2758.34.24.1 to 58.34.24.3058.34.24.3130
19458.34.24.32/2758.34.24.33 to 58.34.24.6258.34.24.6330
19558.34.24.64/2758.34.24.65 to 58.34.24.9458.34.24.9530
19658.34.24.96/2758.34.24.97 to 58.34.24.12658.34.24.12730
19758.34.24.128/2758.34.24.129 to 58.34.24.15858.34.24.15930
19858.34.24.160/2758.34.24.161 to 58.34.24.19058.34.24.19130
19958.34.24.192/2758.34.24.193 to 58.34.24.22258.34.24.22330
20058.34.24.224/2758.34.24.225 to 58.34.24.25458.34.24.25530
20158.34.25.0/2758.34.25.1 to 58.34.25.3058.34.25.3130
20258.34.25.32/2758.34.25.33 to 58.34.25.6258.34.25.6330
20358.34.25.64/2758.34.25.65 to 58.34.25.9458.34.25.9530
20458.34.25.96/2758.34.25.97 to 58.34.25.12658.34.25.12730
20558.34.25.128/2758.34.25.129 to 58.34.25.15858.34.25.15930
20658.34.25.160/2758.34.25.161 to 58.34.25.19058.34.25.19130
20758.34.25.192/2758.34.25.193 to 58.34.25.22258.34.25.22330
20858.34.25.224/2758.34.25.225 to 58.34.25.25458.34.25.25530
20958.34.26.0/2758.34.26.1 to 58.34.26.3058.34.26.3130
21058.34.26.32/2758.34.26.33 to 58.34.26.6258.34.26.6330
21158.34.26.64/2758.34.26.65 to 58.34.26.9458.34.26.9530
21258.34.26.96/2758.34.26.97 to 58.34.26.12658.34.26.12730
21358.34.26.128/2758.34.26.129 to 58.34.26.15858.34.26.15930
21458.34.26.160/2758.34.26.161 to 58.34.26.19058.34.26.19130
21558.34.26.192/2758.34.26.193 to 58.34.26.22258.34.26.22330
21658.34.26.224/2758.34.26.225 to 58.34.26.25458.34.26.25530
21758.34.27.0/2758.34.27.1 to 58.34.27.3058.34.27.3130
21858.34.27.32/2758.34.27.33 to 58.34.27.6258.34.27.6330
21958.34.27.64/2758.34.27.65 to 58.34.27.9458.34.27.9530
22058.34.27.96/2758.34.27.97 to 58.34.27.12658.34.27.12730
22158.34.27.128/2758.34.27.129 to 58.34.27.15858.34.27.15930
22258.34.27.160/2758.34.27.161 to 58.34.27.19058.34.27.19130
22358.34.27.192/2758.34.27.193 to 58.34.27.22258.34.27.22330
22458.34.27.224/2758.34.27.225 to 58.34.27.25458.34.27.25530
22558.34.28.0/2758.34.28.1 to 58.34.28.3058.34.28.3130
22658.34.28.32/2758.34.28.33 to 58.34.28.6258.34.28.6330
22758.34.28.64/2758.34.28.65 to 58.34.28.9458.34.28.9530
22858.34.28.96/2758.34.28.97 to 58.34.28.12658.34.28.12730
22958.34.28.128/2758.34.28.129 to 58.34.28.15858.34.28.15930
23058.34.28.160/2758.34.28.161 to 58.34.28.19058.34.28.19130
23158.34.28.192/2758.34.28.193 to 58.34.28.22258.34.28.22330
23258.34.28.224/2758.34.28.225 to 58.34.28.25458.34.28.25530
23358.34.29.0/2758.34.29.1 to 58.34.29.3058.34.29.3130
23458.34.29.32/2758.34.29.33 to 58.34.29.6258.34.29.6330
23558.34.29.64/2758.34.29.65 to 58.34.29.9458.34.29.9530
23658.34.29.96/2758.34.29.97 to 58.34.29.12658.34.29.12730
23758.34.29.128/2758.34.29.129 to 58.34.29.15858.34.29.15930
23858.34.29.160/2758.34.29.161 to 58.34.29.19058.34.29.19130
23958.34.29.192/2758.34.29.193 to 58.34.29.22258.34.29.22330
24058.34.29.224/2758.34.29.225 to 58.34.29.25458.34.29.25530
24158.34.30.0/2758.34.30.1 to 58.34.30.3058.34.30.3130
24258.34.30.32/2758.34.30.33 to 58.34.30.6258.34.30.6330
24358.34.30.64/2758.34.30.65 to 58.34.30.9458.34.30.9530
24458.34.30.96/2758.34.30.97 to 58.34.30.12658.34.30.12730
24558.34.30.128/2758.34.30.129 to 58.34.30.15858.34.30.15930
24658.34.30.160/2758.34.30.161 to 58.34.30.19058.34.30.19130
24758.34.30.192/2758.34.30.193 to 58.34.30.22258.34.30.22330
24858.34.30.224/2758.34.30.225 to 58.34.30.25458.34.30.25530
24958.34.31.0/2758.34.31.1 to 58.34.31.3058.34.31.3130
25058.34.31.32/2758.34.31.33 to 58.34.31.6258.34.31.6330
25158.34.31.64/2758.34.31.65 to 58.34.31.9458.34.31.9530
25258.34.31.96/2758.34.31.97 to 58.34.31.12658.34.31.12730
25358.34.31.128/2758.34.31.129 to 58.34.31.15858.34.31.15930
25458.34.31.160/2758.34.31.161 to 58.34.31.19058.34.31.19130
25558.34.31.192/2758.34.31.193 to 58.34.31.22258.34.31.22330
25658.34.31.224/2758.34.31.225 to 58.34.31.25458.34.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses